import { CHANGE_FILTER } from "./filtering";
import { TOGGLE_TODO, ADD_TODO } from "./management";
import { Todo } from "../data";
import * as filters from "../filters";

export const toggleTodo = (index: number) => ({ type: TOGGLE_TODO, payload: index });
export const addTodo = (todo: Todo) => ({ type: ADD_TODO, payload: todo });
export const changeFilter = (filter: keyof typeof import("../filters")) => ({ type: CHANGE_FILTER, payload: filters[filter] });
