import { Filter } from "../data";
import * as filters from "../filters";

export const CHANGE_FILTER = "CHANGE_FILTER";

export interface ChangeFilterAction {
    type: typeof CHANGE_FILTER;
    payload: Filter;
}

export default function (state = filters.all, action: ChangeFilterAction) {
    if (action.type === CHANGE_FILTER) {
        return action.payload;
    }

    return state;
}

export type FilteringState = Filter;