import filtering, { FilteringState } from "./filtering";
import management, { ManagementState } from "./management";

import { combineReducers, createStore } from "redux";

const reducer = combineReducers({ filter: filtering, management });

export type State = {
    filter: FilteringState,
    management: ManagementState,
}

export default createStore(reducer, window['__REDUX_DEVTOOLS_EXTENSION__'] && window['__REDUX_DEVTOOLS_EXTENSION__']());